# FdoGeometricPropertyDefinition Class Reference

`#include <GeometricPropertyDefinition.h>`

Inheritance diagram for FdoGeometricPropertyDefinition:

[legend]

List of all members.

## Detailed Description

FdoGeometricPropertyDefinition derives from FdoPropertyDefinition and represents a geometric value. Geometric properties can take on any of the geometric types listed in the FdoGeometricType enumeration.

Note:
  Geometric properties do not actually store the coordinate system or measure units, this is to enable the use of the same schema in different geometric locals. FdoGeometricType informs the client application what types of geometric primitives it can expect when reading a particular geometric property (and what types they can store in the property on insert/update). The client application can interpret the actual geometry values as it wants, e.g., displaying and manipulating the vertices of a Polyline as a group of independent points.

Definition at line 46 of file GeometricPropertyDefinition.h.

## Public Member Functions
FDO_API FdoInt32 | GetGeometryTypes ()
| Gets the FdoGeometricTypes that can be stored in this geometric property. The returned value may be any combination of the values from the FdoGeometricType enumeration combined via a bit-wise or operation.
FDO_API bool | GetHasElevation ()
| Gets a Boolean value that indicates if the geometry of this property include elevation values.
FDO_API bool | GetHasMeasure ()
| Gets a Boolean value that indicates if the geometry of this property includes measurement values that can be used for dynamic segmentation.
virtual FDO_API FdoPropertyType | GetPropertyType ()
| Gets the concrete property type.
FDO_API bool | GetReadOnly ()
| Returns a Boolean value that indicates if this geometric property is read-only.
FDO_API FdoString * | GetSpatialContextAssociation ()
| Gets the Spatial Context name associated to this geometric property.
FDO_API FdoGeometryType * | GetSpecificGeometryTypes (FdoInt32 &length)
| Gets the specific geometry types that can be stored in this geometric property. The returned value is a list of geometry types that are supported, with length being the number of types returned.
FDO_API void | SetGeometryTypes (FdoInt32 value)
| Sets the FdoGeometricTypes that can be stored in this geometric property. The value may be any combination of the values from the FdoGeometricType enumeration combined via a bit-wise or operation.
FDO_API void | SetHasElevation (bool value)
| Sets a Boolean value that determines if the geometry of this property includes elevation values.
FDO_API void | SetHasMeasure (bool value)
| Sets a Boolean value that determines if the geometry of this property includes measurement values that can be used for dynamic segmentation.
FDO_API void | SetReadOnly (bool value)
| Sets a Boolean value that specifies whether this geometric property is read-only.
FDO_API void | SetSpatialContextAssociation (FdoString *value)
| Sets/add a Spatial Context association to this geometric property.
FDO_API void | SetSpecificGeometryTypes (FdoGeometryType *types, FdoInt32 length)
| Sets the specific set of geometry types that can be stored in this geometric property. The provided value is a list of geometry types that are supported. Usually, one specific type is supported, but there can be more than one.
## Static Public Member Functions
static FDO_API FdoGeometricPropertyDefinition * | Create (FdoString *name, FdoString *description, bool system=false)
| Constructs an instance of an FdoGeometricPropertyDefinition using the specified arguments.
static FDO_API FdoGeometricPropertyDefinition * | Create ()
| Constructs a default instance of an FdoGeometricPropertyDefinition.
## Friends
class | FdoFeatureClass

The documentation for this class was generated from the following file:

- GeometricPropertyDefinition.h